import type { IASMAAppsObject as IAsmaAppsObject } from './interfaces';
export declare function getAsmaRegistrableApps(): IAsmaAppsObject | undefined;
/**
 *
 * @param registrable_apps IAsmaAppsObject
 * @param devtools bool
 * call this function before render App() method
 */
export declare function setAsmaRegistrableApps(registrable_apps?: IAsmaAppsObject, devtools?: boolean): void;
/**
 * before registerAsmaMicroApps one need to call setAsmaRegistrableApps to ensure microappregistration!
 * call this method after render App() method.
 */
export declare function registerAsmaMicroApps(): Promise<void>;
//# sourceMappingURL=registerASMAMicroApps.d.ts.map